Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.io.filefilter
Interface IOFileFilter

All Superinterfaces:
  FileFilter, FilenameFilter

All Known Implementing Classes:
  AbstractFileFilter, AgeFileFilter, AndFileFilter, CanReadFileFilter, CanWriteFileFilter, DelegateFileFilter, DirectoryFileFilter, EmptyFileFilter, FalseFileFilter, FileFileFilter, HiddenFileFilter, MagicNumberFileFilter, NameFileFilter, NotFileFilter, OrFileFilter, PrefixFileFilter, RegexFileFilter, SizeFileFilter, SuffixFileFilter, TrueFileFilter, WildcardFileFilter, WildcardFilter

    public interface IOFileFilter

extends FileFilter, FilenameFilter

An interface which brings the FileFilter and FilenameFilter interfaces together.

Since:
  Commons IO 1.0
Version:
  $Revision: 471628 $ $Date: 2006-11-06 04:06:45 +0000 (Mon, 06 Nov 2006) $
Author:
  Stephen Colebourne

Method Summary
`boolean` | `accept(File file)` Checks to see if the File should be accepted by this filter.
`boolean` | `accept(File dir, String name)` Checks to see if the File should be accepted by this filter.

Method Detail

### accept

    boolean accept(File file)

  Checks to see if the File should be accepted by this filter.

  Defined in `FileFilter`.

  Specified by:
    `accept` in interface `FileFilter`
  Parameters:
    `file` - the File to check
  Returns:
    true if this file matches the test

### accept

    boolean accept(File dir,
                   String name)

  Checks to see if the File should be accepted by this filter.

  Defined in `FilenameFilter`.

  Specified by:
    `accept` in interface `FilenameFilter`
  Parameters:
    `dir` - the directory File to check
    `name` - the filename within the directory to check
  Returns:
    true if this file matches the test

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2010 The Apache Software Foundation. All Rights Reserved.